aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rcS.d/140-multipath.sh
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2010-08-03 18:14:03 +0200
committerHarald Hoyer <harald@redhat.com>2010-08-03 18:19:30 +0200
commit93cc50fe12718a04317589cce122e864137d6b42 (patch)
treeb944ac0c914055daf9a00eacb273e86db4f60f21 /rc.d/rcS.d/140-multipath.sh
parente127d5bcfe2e0175e88e8afdd644ee05a22538a5 (diff)
downloadinitscripts-9.16.0.1.systemd-1.tar
initscripts-9.16.0.1.systemd-1.tar.gz
initscripts-9.16.0.1.systemd-1.tar.bz2
initscripts-9.16.0.1.systemd-1.tar.xz
initscripts-9.16.0.1.systemd-1.zip
add systemd servicesinitscripts-9.16.0.1.systemd-1
Diffstat (limited to 'rc.d/rcS.d/140-multipath.sh')
-rwxr-xr-xrc.d/rcS.d/140-multipath.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/rc.d/rcS.d/140-multipath.sh b/rc.d/rcS.d/140-multipath.sh
new file mode 100755
index 00000000..83fc0d8f
--- /dev/null
+++ b/rc.d/rcS.d/140-multipath.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+[[ $(type -t strstr) = "function" ]] || . /etc/init.d/functions
+[[ $cmdline ]] || cmdline=$(cat /proc/cmdline)
+
+if ! strstr "$cmdline" nompath && [ -f /etc/multipath.conf ] && \
+ [ -x /sbin/multipath ]; then
+ modprobe dm-multipath > /dev/null 2>&1
+ /sbin/multipath -v 0
+ if [ -x /sbin/kpartx ]; then
+ /sbin/dmsetup ls --target multipath --exec "/sbin/kpartx -a -p p" >/dev/null
+ fi
+fi
+: